#include <bits/stdc++.h>
#define MAX_N;
using namespace std;

string word;
vector <string> t;
vector <int> sizet;
int n;

bool censure()
{
    bool b=false;
    int index;
    for(int i=0; i<t.size(); i++)
    {
        index=word.find(t[i]);
        if(index!=string::npos)
        {
            word.erase(index, sizet[i]);
            b=true;
        }
    }
    return b;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin >> word;
    cin >> n;
    string help;

    for(int i=0; i<n; i++)
    {
        cin >> help;
        t.push_back(help);
        sizet.push_back(help.size());
    }

    bool c=true;
    while(c)
    {
        c=censure();
    }

    cout << word;

    return 0;
}

